Package io.dapr.v1

# Interface DaprProtos.ScheduleJobRequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.ScheduleJobRequest`, `DaprProtos.ScheduleJobRequest.Builder`

Enclosing class:
  DaprProtos

public static interface DaprProtos.ScheduleJobRequestOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`DaprProtos.Job`
`getJob()`
The job details.
`DaprProtos.JobOrBuilder`
`getJobOrBuilder()`
The job details.
`boolean`
`hasJob()`
The job details.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasJob

boolean hasJob()

     The job details.

`.dapr.proto.runtime.v1.Job job = 1;`

Returns:
  Whether the job field is set.

### getJob

DaprProtos.Job getJob()

     The job details.

`.dapr.proto.runtime.v1.Job job = 1;`

Returns:
  The job.

### getJobOrBuilder

DaprProtos.JobOrBuilder getJobOrBuilder()

     The job details.

`.dapr.proto.runtime.v1.Job job = 1;`